Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
document.h File Reference
`#include "reader.h"`
`#include "internal/meta.h"`
`#include "internal/strfunc.h"`
`#include "memorystream.h"`
`#include "encodedstream.h"`
`#include <new>`
`#include <limits>`
`#include <iterator>`

Go to the source code of this file.

## Classes
struct | rapidjson::GenericMember< Encoding, Allocator >
| Name-value pair in a JSON object value. More...
class | rapidjson::GenericMemberIterator< Const, Encoding, Allocator >
| (Constant) member iterator for a JSON object value More...
struct | rapidjson::GenericStringRef< CharType >
| Reference to a constant string (not taking a copy) More...
class | rapidjson::GenericValue< Encoding, Allocator >
| Represents a JSON value. Use Value for UTF8 encoding and default allocator. More...
struct | rapidjson::GenericValue< Encoding, Allocator >::Number::I
struct | rapidjson::GenericValue< Encoding, Allocator >::Number::U
class | rapidjson::GenericDocument< Encoding, Allocator, StackAllocator >
| A document for parsing JSON text as DOM. More...
class | rapidjson::GenericArray< Const, ValueT >
| Helper class for accessing Value of array type. More...
class | rapidjson::GenericObject< Const, ValueT >
| Helper class for accessing Value of object type. More...

## Namespaces
namespace | rapidjson
| main RapidJSON namespace

## Typedefs
typedef GenericValue< UTF8<> > | rapidjson::Value
| GenericValue with UTF8 encoding.
typedef GenericDocument< UTF8<> > | rapidjson::Document
| GenericDocument with UTF8 encoding.

## Functions
template<typename CharType >
GenericStringRef< CharType > | rapidjson::StringRef (const CharType *str)
| Mark a character pointer as constant string.
template<typename CharType >
GenericStringRef< CharType > | rapidjson::StringRef (const CharType *str, size_t length)
| Mark a character pointer as constant string.